<!DOCTYPE html>
<html lang="en" xmlns:v-bind="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>Data Bindings</title>

    <style>
        li {
            cursor: pointer;
        }
        .completed {
            text-decoration: line-through;
        }
    </style>
</head>
<body>

<main>
    <h3>List task</h3>
    <h4>{{ taskCompleted.length }} completed</h4>
    <ul>
        <li v-for="task in listTask" @click="completedTask(task)"
            :class="{completed: task.completed}">{{ task.name }}</li>
    </ul>
</main>


<script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>


<script>
    new Vue({
        el: 'main',
        data: {
            listTask: [
                {name: "Terminar curso de Vue", completed: false},
                {name: "Visitar mis padres", completed: false},
                {name: "Terminar el año bien", completed: false},
            ]
        },
        methods: {
            completedTask(task) {
                task.completed = !task.completed
            },
        },
        computed: {
            taskCompleted() {
                return this.listTask.filter((task) => task.completed)
            }
        }
    })
</script>
</body>
</html>